using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using AxCopilot.Services;

namespace AxCopilot.Themes;

public class ClipboardHasImageConverter : IValueConverter
{
	public object Convert(object value, Type t, object p, CultureInfo c)
	{
		return (!(value is ClipboardEntry { Image: not null })) ? Visibility.Collapsed : Visibility.Visible;
	}

	public object ConvertBack(object v, Type t, object p, CultureInfo c)
	{
		throw new NotImplementedException();
	}
}
